Last Comment Bug 759619 - The location of the window needs to be remembered if a user moves it - each app launch should start at the last window location set by the user
: The location of the window needs to be remembered if a user moves it - each a...
Status: VERIFIED FIXED
[qa!]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: 15 Branch
: All All
: P3 normal
: Firefox 16
Assigned To: :Felipe Gomes (needinfo me!) [offline until Jun 24]
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 19:41 PDT by Jason Smith [:jsmith]
Modified: 2016-03-21 12:39 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.03 KB, patch)
2012-06-27 19:59 PDT, :Felipe Gomes (needinfo me!) [offline until Jun 24]
myk: review+
Details | Diff | Review
Patch v2 (1.89 KB, patch)
2012-06-28 15:54 PDT, :Felipe Gomes (needinfo me!) [offline until Jun 24]
myk: review+
Details | Diff | Review

Description Jason Smith [:jsmith] 2012-05-29 19:41:12 PDT
User feedback about window management. Testing various apps (e.g. Chrome), if a user decides to move the application around, the location should be remembered somewhere. Upon close and restart of the app, the location of the app should start at the last remembered location.
Comment 1 :Felipe Gomes (needinfo me!) [offline until Jun 24] 2012-06-27 19:59:47 PDT
Created attachment 637351 [details] [diff] [review]
Patch

Simple change, needed to add the persist attribute to the window. Took me a while to figure out that the window also needs to have an id for it to work.
Also setting a starting screenX/Y for first-run at [30,30] which seems better than the [0,0] corner.
Comment 2 Myk Melez [:myk] [@mykmelez] 2012-06-28 15:00:58 PDT
Comment on attachment 637351 [details] [diff] [review]
Patch

Review of attachment 637351 [details] [diff] [review]:
-----------------------------------------------------------------

D'oh!  An `id`!  So that's why my first attempt to fix this bug failed!

Regarding the initial position of the window, we've previously discussed centering it, as someone (timA?) noted that apps tend to be centered on firstrun (at least on Windows).

Firefox uses 4,4, and 30,30 is reasonable (as are most values), but I think we're better off centering the window by adding `centerscreen` to the list of features in the command line handler's openWindow call.  We can still use `persist="screenX screenY"` to persist any changes the user then makes to its position.
Comment 3 :Felipe Gomes (needinfo me!) [offline until Jun 24] 2012-06-28 15:54:24 PDT
Created attachment 637715 [details] [diff] [review]
Patch v2

Ok cool, since it's a small change let's use this bug to also include centerscreen instead of filing a new one for that. Also removed the 30x30 initial position.
Comment 4 :Felipe Gomes (needinfo me!) [offline until Jun 24] 2012-06-29 00:24:45 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/72a0595d29a1
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-06-30 12:46:38 PDT
https://hg.mozilla.org/mozilla-central/rev/72a0595d29a1
Comment 6 Jason Smith [:jsmith] 2012-06-30 16:18:23 PDT
Verified on inbound 6/30.
Comment 7 Jason Smith [:jsmith] 2012-06-30 16:19:49 PDT
Also - note there might be a regression as a result of this patch in bug 769955 - an icon is no longer showing up for the app window.

Note You need to log in before you can comment on or make changes to this bug.